/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.engine.omegat;

import benten.cat.tm.core.BentenTmDriver;
import benten.cat.tm.core.BentenTmDriverManager;
import benten.cat.tm.core.BentenTmEngine;

/**
 * Benten のデフォルト TM (翻訳メモリ) ドライバー。
 */
public class DefaultTmDriver implements BentenTmDriver {
	/**
	 * このエンジンのドライバー名。
	 */
	public static final String DRIVER_NAME = "omegat"; //$NON-NLS-1$

	static {
		// 自分を登録。
		BentenTmDriverManager.registerDriver(new DefaultTmDriver());
	}

	/**
	 * 翻訳メモリ・ドライバーの名前を取得。
	 * 
	 * @return 翻訳メモリ・エンジン名。
	 */
	public String getName() {
		return DRIVER_NAME;
	}

	/**
	 * 翻訳メモリ・エンジンの取得。
	 * 
	 * @return 翻訳エンジンのインスタンス。
	 */
	public BentenTmEngine getEngineInstance() {
		return new DefaultTmEngine();
	}
}
